/**********************************************************************************
 * Package: G2HDM                                                                 *
 * Class  : BR_BMuNu                                                              *
 *                                                                                *
 * Description:                                                                   *
 *      B->taunu branching fraction for 2HDM model                                *
 *                                                                                *
 * Authors:                                                                       *
 *      Gfitter group                                                             *
 *                                                                                *
 * Redistribution and use in source and binary forms, with or without             *
 * modification, are permitted according to the terms listed in the file          *
 * LICENSE.                                                                       *
 **********************************************************************************/

#ifndef G2HDM_BR_BMuNu
#define G2HDM_BR_BMuNu

#include "G2HDM/BR_BLepNu.h"

namespace G2HDM {
   
   class Gfitter::GParameterRef;
   
   class BR_BMuNu : public BR_BLepNu {
      
   public:

      BR_BMuNu();
      virtual ~BR_BMuNu() {}
      
   protected:

   private:
      
      ClassDef(BR_BMuNu,0)
  };
}

#endif
