/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : Ab                                                                    *
 *                                                                                *
 * Description:                                                                   *
 *      Asymmetry paramter of the b-quarks                                        *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_Ab
#define GSM_Ab

#include "GSM/SMTheoryBuilder.h"

namespace GSM {
   
   class Ab : public SMTheoryBuilder {
    
   public:

      Ab();
      virtual ~Ab() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(Ab,0)
   };
}

#endif
