/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : Ac                                                                    *
 *                                                                                *
 * Description:                                                                   *
 *      Asymmetry paramter of the c-quarks                                        *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_Ac
#define GSM_Ac
 
#include "SMTheoryBuilder.h"

namespace GSM {

   class GParameterRef;

   class Ac : public SMTheoryBuilder {
    
   public:

      Ac();
      virtual ~Ac() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(Ac,0)
   };
}

#endif
