/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : Alep                                                                  *
 *                                                                                *
 * Description:                                                                   *
 *      Asymmetry paramter of leptons                                             *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_Alep
#define GSM_Alep

#include "SMTheoryBuilder.h"

namespace GSM {

   class GParameterRef;

   class Alep : public SMTheoryBuilder {
    
   public:

      Alep();
      virtual ~Alep() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:
      
      ClassDef(Alep,0)
   };
}

#endif
