/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : GHiggsTheoryBase                                                      *
 *                                                                                *
 * Description:                                                                   *
 *      Theory Builder                                                            *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_GHiggsTheoryBase
#define GSM_GHiggsTheoryBase

#include "Gfitter/GAuxTheory.h"

namespace GSM {

   class GHiggsTheoryBase : public Gfitter::GAuxTheory {

   public:
      
      GHiggsTheoryBase();
      virtual ~GHiggsTheoryBase() {}

      // Get Higgs mass prediction
      virtual Double_t Get_Mh() = 0 ;

   protected:
      
      ClassDef(GHiggsTheoryBase,0)
   };
}

#endif
