/**********************************************************************************
 * Package: GSM                                                                   *
 * Class  : R0c                                                                   *
 *                                                                                *
 * Description:                                                                   *
 *      Ratio of the charms partial Z width to all hadrons                        *
 *                                                                                *
 *                                                                                *
 **********************************************************************************/
#ifndef GSM_R0c
#define GSM_R0c
 
#include "GSM/SMTheoryBuilder.h"

namespace GSM {

   class R0c : public SMTheoryBuilder {
    
   public:

      R0c();
      virtual ~R0c() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(R0c,0)
   };
}

#endif
