
## use local ROOT
export ROOTSYS=/afs/cern.ch/sw/lcg/app/releases/ROOT/5.26.00/x86_64-slc5-gcc34-opt/root
#export ROOTSYS=/afs cern.ch/sw/lcg/app/releases/ROOT/5.26.00/i686-slc5-gcc34-opt/root
#export ROOTSYS=/afs/cern.ch/sw/lcg/app/releases/ROOT/5.22.00/slc4_ia32_gcc34/root

## use local python (needed to re-compile with '--enable-shared' configure option)
export PYTHONDIR=/afs/cern.ch/sw/lcg/external/Python/2.5.4/x86_64-slc5-gcc34-opt
#export PYTHONDIR=/afs/cern.ch/sw/lcg/external/Python/2.6.5/i686-slc5-gcc34-opt
#export PYTHONDIR=/afs/cern.ch/sw/lcg/external/Python/2.5.4/slc4_ia32_gcc34

# put root & python stuff into PATH, LD_LIBRARY_PATH
export PATH=$PYTHONDIR/bin:$ROOTSYS/bin:${PATH}
export LD_LIBRARY_PATH=$PYTHONDIR/lib:$ROOTSYS/lib:${LD_LIBRARY_PATH}

# PYTHONPATH contains all directories that are used for 'import bla' commands
export PYTHONPATH=$ROOTSYS/lib:$PYTHONPATH

#alias root "$ROOTSYS/bin/root -l"

if [ -d ../softsusy ]; then
  cd ../softsusy
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
fi

if [ -d ../superiso/src ]; then
  cd ../superiso/src
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
fi

if [ -d ../micromegas_2.2.CPC ]; then
  cd ../micromegas_2.2.CPC/CalcHEP_src/lib
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
  cd ../micromegas_2.2.CPC/MSSM/work
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
  cd ../micromegas_2.2.CPC/sources
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
  cd ../micromegas_2.2.CPC/MSSM/lib
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
fi

